# MNIST Classifiers
 
## Overview

* **Year:** 2020
* **Technologies:** Python, NumPy, Matplotlib, TensorFlow, Keras
* **Discipline(s):** Computer Vision, Deep Learning
* **Keywords:** `CNN`, `Classification`, `Computer Vision`, `Convolution`, `Convolutional Neural Network`, `Deep Learning`, `Fully-Connected`,  `MNIST`, `Max-Pooling`, `Multi-Class Classification`, `Neural Network`, `2-D Convolution`, `2-D Max-Pooling`

## Description

This repository contains a collection of MNIST digit and fashion item classifiers built with fully-connected and convolutional neural networks (CNNs) using TensorFlow and Keras.

### MNIST Digit Classifiers
* [MNIST Digit Classification with a Fully-Connected Neural Network](https://github.com/csbanon/mnist-classifiers/blob/main/mnist-digits/mnist-digit-classification-with-a-fully-connected-neural-network.ipynb)
* [MNIST Digit Classification with a Convolutional Neural Network (CNN)](https://github.com/csbanon/mnist-classifiers/blob/main/mnist-digits/mnist-digit-classification-with-a-convolutional-neural-network.ipynb)

### MNIST Fashion Item Classifiers
* [MNIST Fashion Item Classification with a Fully-Connected Neural Network](https://github.com/csbanon/mnist-classifiers/blob/main/mnist-fashion-items/mnist-fashion-item-classification-with-a-fully-connected-neural-network.ipynb)
* [MNIST Fashion Item Classification with a Convolutional Neural Network (CNN)](https://github.com/csbanon/mnist-classifiers/blob/main/mnist-fashion-items/mnist-fashion-item-classification-with-a-convolutional-neural-network.ipynb)

For other notebooks with data science, machine learning, and computer vision implementations, check out my [Notebooks](https://github.com/csbanon/notebooks) repository. Thank you!
